killall notify-osd

notify-send "Hello Ayatana" "I'm going to show you the current notifications, and after each of them, show a proposed improvement"
notify-send "What will it be ?" "Mostly changing words, and leaving the '% left' info to the icon."
notify-send "And locales ?" "I am aware that the same effort must be done for each locale. I think a note ('use short words') for translators could do the trick"

# Basic notification
notify-send -i info "Power information" "Computer is running on battery power
Laptop battery 1 hour 45 minutes remaining (72.0%)"
notify-send -i notification-battery-high "Power information" "Running on battery power
1:45 hours remaining"

# Basic notification without minutes
notify-send -i info "Power information" "Computer is running on battery power
Laptop battery 1 hour remaining (44.1%)"
notify-send -i notification-battery-middle "Power information" "Running on battery power
1 hour remaining"

# Basic notification without hours
notify-send -i info "Power information" "Computer is running on battery power
Laptop battery 55 minutes remaining (42.2%)"

notify-send -i notification-battery-middle "Power information" "Running on battery power
55 minutes remaining"

# When recharging battery
notify-send -i info "Power information" "Computer is running on AC power
Laptop battery 2 hours 5 minutes until charged (40.8%)
Provides 50 minutes battery runtime"
notify-send "7 lines are too much" "We may want to let the user choose if (s)he prefers having the battery runtime or the time until charged or both."
notify-send -i notification-battery-middle "Power information" "Running on AC power
2:05 hours until charged
Battery can hold 50 minutes"
notify-send -i notification-battery-middle "Power information" "Running on AC power
2:05 hours until charged"
notify-send -i notification-battery-middle "Power information" "Running on AC power
Battery can hold 50 minutes"

# When battery is full
notify-send -i info "LACKING EXAMPLE"
notify-send -i notification-battery-full "Power information" "Running on AC power
Battery full"

# When battery is low
notify-send -i dialog-warning "Now to the non-triggered actions" "For when the battery runs very, very low"

notify-send -i notification-battery-low "Laptop battery low" "You have approximately 20 minutes of remaining battery life (18.1%)"
notify-send -i notification-battery-low "Laptop battery low" "You have approximately 20 minutes of battery life left."
notify-send "Note" "I think it is again about finding short words that make the phrase faster to read. It will include work for translators."
notify-send "Notes" "Also, the % thingy can be left to the icon. The critical information is the time left, imo."

# When battery is empty
notify-send -i notification-battery-low "Laptop battery critically low" "You have approximately 4 minutes of remaining battery life (8.2%). This computer will suspend in 2 minutes if the AC is not connected."
notify-send -i notification-battery-empty "Battery critically low" "Your computer has 4 minutes of battery life left. It will suspend in 2 minutes if you don't plug the AC in."
notify-send "Damn" "We didn't remove that much text.. since we impose 2 minutes to the user, he doesn't need to know about the 2 other extra minutes, right ?"
notify-send -i notification-battery-empty "Battery critically low" "Your computer will suspend in 2 minutes if the AC is not connected."

notify-send "Voilà" "I think i'm done. I hope we can discuss this on the ML and find a way to make these notifications more efficient."
notify-send "Post Scriptum" "You guys did something awesome with notify-osd ;)"



